Меню Рубрики

Ansys installation guide linux

ANSYS 19.1 installation on Linux

I have been trying to install ANSYS 19.1 on Linux for half day, and it remains at 89% of the installation for so long. It may be some errors because the administrator of the cluster have tried too and had the same problem.

It would be great if someone could help me to solve this problem.

Comments

Please provide the output of

Then, refer to the Linux Installation guide Chapter 2 : Platform Details . This Chapter would list all prerequisites for different OS level. Make sure that the prerequisites are installed.

Also, don’t install it on your home directory. Ask your cluster admin to install it in the directory that’s accessible by any users.

Here is the output

CentOS Linux release 7.4.1708 (Core)

PRETTY_NAME=”CentOS Linux 7 (Core)”

CPE_NAME=”cpe o:centos:centos:7″

CentOS Linux release 7.4.1708 (Core)

CentOS Linux release 7.4.1708 (Core)

Do I need install all the libraries indicated in CentOS 7.3 even if my version is 7.4.1708? I can’t use sudo; how could I install the libraries?

I am reading that chapter to check what I am missing, but at this moment I need to install in my home directory because the cluster admin spent a day trying to install in the directory that’s accessible by any users without any luck, and he is not willing to spend more time, so if this works in my home directory he will scale up.

Источник

Ansys 18.2 on UBuntu 16.04: Installation Guide

I want to install ansys 18.02 on ubuntu 18.10 but the installation stuck on 99% with the below log file:

AWPROOTDIR = /usr/ansys_inc/v182
Creating ANSYS RSM Cluster Node Service script .
Created service script: arcnode

does anybody know how can we solve it?

the same problem with installation of Ansys 2019R1 on Ubuntu 18.10!
Design Modeler is working. But Meshing is not working in Static Structural.

The same problem here!
I want to install Ansys 2019R1 on Ubuntu 18.10 but the installation freezes on 91%. The last information in the log file is:

Читайте также:  Kali linux все возможности

AWPROOTDIR = /usr/ansys_inc/v193
Creating ANSYS RSM Cluster Node Service script .
Created service script: arcnode

Does anybody know how can we solve it?

i installed ANSYS 19.2 successfully on 16.04, but when i run Design modeller, i get following error Screenshot from 2019-05-14 23-24-46.png

Thank you for this post. It was very useful to me. I used it to install Ansys 17.2 on Ubuntu 16.04 and it worked. However, when I tried to run a FSI case that was runing fine in the Windows OS I had the following warning message and then the program stoped.

May this warning be related to the installation procedure somehow? Could someone have some tip?

nice description, it was truly helpful. However I recently upgraded my Ubuntu system from 16.04 to 18.04 and the ansys installation just stops around 90%. The last information in the log file is:

Has anyone met anything similar?

Hey,
Were you able to fix this issue? Having same problem.

Hi everybody,
since I had a lot of issues installing Ansys on Ubuntu, I summarize here all the steps (some picked up inside this forum) that are required to have a running version. I suggest to use standard MESA driver instead of nvidia or AMD drivers because I also need to use xrdp 0.9.4 (to have remote access) and it does not work with those drivers.

The required packages from the installation guide (for RedHat/CentOS) are:
• libXp.x86_64
• xorg-x11-fonts-cyrillic.noarch
• xterm.x86_64
• openmotif.x86_64
• compat-libstdc++-33.x86_64
• libstdc++.x86_64
• libstdc++.i686
• gcc-c++.x86_64
• compat-libstdc++-33.i686
• libstdc++-devel.x86_64
• libstdc++-devel.i686
• compat-gcc-34.x86_64
• gtk2.i686
• libXxf86vm.i686
• libSM.i686
• libXt.i686
• xorg-x11-fonts-ISO8859-1-75dpi.noarch
• glibc-2.12-1.166.el6_7.1 (or greater)

1. Therefore I installed:

Then answer “No” to the question.

6. From DVD1 install Ansys, launch:

ubantu is complete new for me. I am unabale to follow few steps written by you and in urgent need to install ansys in ubantu! I am not able to follow the things from step 6. it would be great help to me and other as well if you can make a video on it.

Читайте также:  После установки linux windows не загружается

David made a well-explained post for most of the Linux users it is a simple sequence of commands one has to perform. For me there is no need to incorporate these things into a video.

Take your time to get familiar with the shell even if you are in hurry (in the 21th century everything is already too late – always).

By the way, back to the topic. Does anyone can confirm ANSYS R20.2 to work within Ubuntu 20.04?

Источник

Ansys 18.2 on UBuntu 16.04: Installation Guide

Hi everybody,
since I had a lot of issues installing Ansys on Ubuntu, I summarize here all the steps (some picked up inside this forum) that are required to have a running version. I suggest to use standard MESA driver instead of nvidia or AMD drivers because I also need to use xrdp 0.9.4 (to have remote access) and it does not work with those drivers.

The required packages from the installation guide (for RedHat/CentOS) are:
• libXp.x86_64
• xorg-x11-fonts-cyrillic.noarch
• xterm.x86_64
• openmotif.x86_64
• compat-libstdc++-33.x86_64
• libstdc++.x86_64
• libstdc++.i686
• gcc-c++.x86_64
• compat-libstdc++-33.i686
• libstdc++-devel.x86_64
• libstdc++-devel.i686
• compat-gcc-34.x86_64
• gtk2.i686
• libXxf86vm.i686
• libSM.i686
• libXt.i686
• xorg-x11-fonts-ISO8859-1-75dpi.noarch
• glibc-2.12-1.166.el6_7.1 (or greater)

1. Therefore I installed:

Then answer “No” to the question.

6. From DVD1 install Ansys, launch:

Источник

Installation of Ansys 19 on Ubuntu 18.4

I am trying to intsall ANSYS 19 on Ubuntu 18.4. I have followed the brilliant installation guide here but sadly some issues persisted. Namely:

The installation wizard freezes at ca. 93%, the last action being “Created service script: arcnode”. When it is shut down manually, it does not provide any error log and ANSYS is still executable but one does not know whether the installation was truly succesful.

Читайте также:  Все команды командной строки linux

The Design Modeler is unable to be opened by the Workbench.

Tested solutions:

– I have installed all the packages recommended in the link above.
– I have tried to execute the . /runwb2 -oglmesa
– I have tried LD_LIBRARY_PATH=/ansys_inc/v190/Framework/bin/Linux64/Mesa

I just spent a limited amount of time trying to debug this after a clean install of Mint 19 (based on ubuntu 18.04)–the INSTALL script does accepts a -debug flag, but the point where the installer hangs is still fairly opaque.

FWIW, things fell apart for me in script

but mine would just sit there forever. I’m guessing the problem stems from Ansys’s integration mess with Mono.

At that point, I reinstalled ubuntu 16.04 in a virtualbox instance, installed ansys there, tar’d up the whole directory, moved it to my 18.04 installation, and extracted it. I’m able to launch fluent without issue, which luckily is all I care about right now. Workbench in v162 depends on libpng12 which is not in ubuntu 18.04’s repos, but maybe you’ll have better luck with 19. I’m stuck with 16 because the behavior of my UDF code mysteriously changes at v17+

Dear Fellows:
I just upgraded my Ubuntu 16.04 to 18.04 yesterday. And I have ansys 19.1 installed in 16.04. Fluent and ICEM works fine in 16.04.
But in 18.04, ICEM can’t start. the error message is:

ICEM_ACN is “/home/zt/software/ansys_inc/v191/icemcfd/linux64_amd”.
ANSYSLIC_DIR is set to /home/zt/software/ansys_inc/shared_files/licensing
LD_LIBRARY_PATH is “/home/zt/software/ansys_inc/v191/icemcfd/linux64_amd/lib:/usr/local/tecplot/360ex_2017r2/bin:/usr/local/tecplot/360ex_2017r2/bin/sys:/usr/local/lib::/home/zt/software/ansys_inc/v191/icemcfd/linux64_amd/bin:/home/zt/software/ansys_inc/v191/icemcfd/linux64_amd/dif/iges:/home/zt/software/ansys_inc/v191/icemcfd/linux64_amd/../../Framework/bin/Linux64”.
args =
[1] 16983 segmentation fault (core dumped) /home/zt/software/ansys_inc/v191/icemcfd/linux64_amd/bin/icemcfd

When i reinstalled ansys 19.1, I got stuck at 89%. Then I forced to shutdown the installer. ICEM still gives the same segmentation fault error.

And i think this error is not something like the “segmentation violation error” which need xfonts-75dpi and xfonts-100dpi to be installed.

I tried :
1.export LD_LIBRARY_PATH=/ansys_inc/v190/Framework/bin/Linux64/Mesa (because i messed up some mesa libraries when i upgrade my system)
2.upgrade mesa to the lateset using ppa
3.checked arguments available in the icemcfd script, all of them didn’t work

Did you guys have the problem with icemcfd?

Источник

Популярные записи

Взлом wifi с помощью kali linux
Linux mint start booting from usb device
Установка яндекс диск в linux mint
Copy files from directory linux
Linux правильная разбивка диска
Linux distributions market share
Adblock
detector